> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custody Reconciliation Snapshots For Grant

> Deletes all custody reconciliation snapshots for a grant and returns the deleted count.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/delete-custody-reconciliation-snapshots-for-grant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/delete-custody-reconciliation-snapshots-for-grant:
    post:
      operationId: deleteCustodyReconciliationSnapshotsForGrant
      summary: Delete Custody Reconciliation Snapshots For Grant
      description: >-
        Deletes all custody reconciliation snapshots for a grant and returns the
        deleted count.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/DeleteCustodyReconciliationSnapshotsForGrantRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteCustodyReconciliationSnapshotsForGrantResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteCustodyReconciliationSnapshotsForGrantRequest:
      type: object
      properties:
        grantID:
          type: string
          format: uuid
      required:
        - grantID
    DeleteCustodyReconciliationSnapshotsForGrantResponse:
      type: object
      properties:
        success:
          type: boolean
        deletedCount:
          type: number
      required:
        - success
        - deletedCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
